#! /usr/bin/env node
const program = require("commander");
const generator = require("./generator");
const { outputError, outputOptions, outputTips } = require("./utils");

// console.log("show cli start~", process.argv);

// function installPackages() {
//   // 执行安装
//   const child = spawn("yarn", ["add"].concat(webDependencies), {
//     stdio: "inherit",
//   });

//   // 监听执行结果
//   child.on("close", function (code) {
//     console.log("child close");
//     // 执行失败
//     if (code !== 0) {
//       console.log(chalk.red("Error occurred while installing dependencies!"));
//       process.exit(1);
//     }
//     // 执行成功
//     else {
//       console.log(chalk.cyan("Install finished"));
//     }
//   });
// }

program.configureOutput({
  // Highlight errors in color.
  outputError,
});

program
  // 定义命令和参数
  .arguments("[app-name]")
  .allowUnknownOption()
  .description("create a new project")
  .option("-f, --force", "overwrite target directory if it exist")
  .action((name, options) => {
    new generator(Object.assign({ name }, options));
  });

// program
//   // 定义命令和参数
//   .command("create [app-name]")
//   .description("create a new project")
//   .option("-f, --force", "overwrite target directory if it exist")
//   .action((name, options) => {
//     new generator(Object.assign({ name }, options));
//   });

// program
//   .command("help [value]")
//   .description("inspect and modify the config")
//   .option("-g, --get <path>", "get value from option")
//   .option("-s, --set <path> <value>")
//   .option("-d, --delete <path>", "delete option from config")
//   .action((value, options) => {
//     console.log(`value, options: ${value},${options}`);
//   });

// 解析用户执行命令传入参数
program.parse(process.argv);
