import { IPageRegistry, ISeaTalkApplication } from '@seatalk-rn/sdk-application'
import { CalendarTestPage } from './Page/CalendarTestPage'
import { ComponentsTestPage } from './Page/ComponentsTestPage'
import { DemoPage } from './Page/DemoPage'
import { FilePreviewTestPage } from './Page/FilePreviewTestPage'
import { FileSystemTestPage } from './Page/FileSystemTestPage'
import { ImageViewerPage } from './Page/ImageViewerPage'
import { PermissionsTestPage } from './Page/PermissionsTestPage'
import { WebViewPage, WebViewRedirectURLPage, WebViewTestPage, WebViewVideoPage } from './Page/WebView'

export class MyApp implements ISeaTalkApplication {
    // appID: string = 'MDQ4NTg1OTMxNjQy'
    appID: string = '<%= data.appId %>'

    rootPage: string = 'DEMO_PAGE'

    resolveRoute(path: string): string | undefined {
        switch (path) {
            case '/':
                return 'DEMO_PAGE'
            case '/webview':
                return 'WEB_VIEW_TEST_PAGE'
            case '/imageviewer':
                return 'IMAGE_VIEWER_PAGE'
            case '/filesystem':
                return 'FILE_SYSTEM_TEST_PAGE'
            case '/components':
                return 'COMPONENTS_TEST_PAGE'
            case '/calendar':
                return 'CALENDAR_TEST_PAGE'
            case '/filepreview':
                return 'FILE_PREVIEW_TEST_PAGE'
            case '/permissions':
                return 'PERMISSIONS_TEST_PAGE'
            case '/webview_normal':
                return 'WEB_VIEW_NORMAL_PAGE'
            case '/fullscreen_video':
                return 'FULLSCREEN_VIDEO_PAGE'
            case '/webview_redirect_url':
                return 'WEB_VIEW_REDIRECT_URL'
            default:
                return 'DEMO_PAGE'
        }
    }

    registerPages(registry: IPageRegistry) {
        registry.registerPage('DEMO_PAGE', () => DemoPage)
        registry.registerPage('WEB_VIEW_TEST_PAGE', () => WebViewTestPage)
        registry.registerPage('IMAGE_VIEWER_PAGE', () => ImageViewerPage)
        registry.registerPage('FILE_SYSTEM_TEST_PAGE', () => FileSystemTestPage)
        registry.registerPage('COMPONENTS_TEST_PAGE', () => ComponentsTestPage)
        registry.registerPage('CALENDAR_TEST_PAGE', () => CalendarTestPage)
        registry.registerPage('FILE_PREVIEW_TEST_PAGE', () => FilePreviewTestPage)
        registry.registerPage('PERMISSIONS_TEST_PAGE', () => PermissionsTestPage)
        registry.registerPage('WEB_VIEW_NORMAL_PAGE', () => WebViewPage)
        registry.registerPage('FULLSCREEN_VIDEO_PAGE', () => WebViewVideoPage)
        registry.registerPage('WEB_VIEW_REDIRECT_URL', () => WebViewRedirectURLPage)
    }
}
