import { PageComponent, StyleSheet } from '@seatalk-rn/sdk-components'
import { NavBarPage } from '@seatalk-rn/sdk-widgets'
import React, { ReactNode } from 'react'
import { WebView } from 'react-native-webview'

export class WebViewRedirectURLPage extends PageComponent {
    getPageName(): string {
        return 'WebViewRedirectURLPage'
    }

    render(): ReactNode {
        return (
            <NavBarPage title="WebView Test" backButtonType={'back'}>
                <WebView
                    style={styles.container}
                    source={{ uri: 'http://bit.do/YogaPoseChallenge' }}
                    sharedCookiesEnabled={true}
                    allowsFullscreenVideo={true}
                    allowsInlineMediaPlayback={true}
                    onMessage={() => {}}
                    originWhitelist={['*']}
                    onLoad={() => {}}
                    androidLayerType="hardware"
                    onShouldStartLoadWithRequest={r => {
                        console.log(`URL: ${r.url}`)
                        return true
                    }}
                />
            </NavBarPage>
        )
    }
}

const styles = StyleSheet.create({ container: { flex: 1 } })
