import { PageComponent, StyleSheet } from '@seatalk-rn/sdk-components'
import { NavBarPage } from '@seatalk-rn/sdk-widgets'
import React, { ReactNode } from 'react'
import { WebView } from 'react-native-webview'
import { createHTML } from './videoHtmlGenerator'

const HTML = createHTML({
    videoUrl:
        'http://1500001512.vod2.myqcloud.com/43820039vodtranscq1500001512/01c26f775285890816625699081/v.f156636.mp4',
    thumbnailUrl: 'https://teams.test.seagroup.com/forum/static/logo.f601aa73.png',
})

export class WebViewVideoPage extends PageComponent {
    getPageName(): string {
        return 'WebViewVideoPage'
    }

    render(): ReactNode {
        return (
            <NavBarPage title="WebView Test" backButtonType={'back'}>
                <WebView
                    style={styles.container}
                    source={{ html: HTML }}
                    sharedCookiesEnabled={true}
                    allowsFullscreenVideo={true}
                    allowsInlineMediaPlayback={true}
                    onMessage={() => {}}
                    originWhitelist={['*']}
                    onLoad={() => {}}
                    androidLayerType="hardware"
                />
            </NavBarPage>
        )
    }
}

const styles = StyleSheet.create({ container: { flex: 1 } })
