## SeaTalk ReactNative SDK Demo

This repository contains a demo RN app using the SeaTalk RN SDK. To get this demo running on SeaTalk, you can follow the steps below. We will use `yarn` as our package manager.

1. You will need to load this app from a special version of SeaTalk, namely the `SeaTalk Dev` app. You can download the app from [AppSea](https://app.seagroup.com). For the first time, you will need to request access from the SeaTalk team, then log in with your company account and download the app.

2. Since the dependency packages are from our own internal NPM registry https://npm.seagroup.com, you will need to add this registry to yarn with

```
yarn config set registry https://npm.seagroup.com
``` 

3. Install dependencies with

```
yarn install
```

4. Run TypeScript compiler with

```
yarn tsc -w
```

5. Start a metro server with

```
yarn start
```

6. [`iOS`] To view the RN app from your mobile app `SeaTalk RN`,

    6.1 Sign in with any SeaTalk account. 

    6.2 Make sure your mobile phone and your metro server are under the same network.

    6.3 Overturn your app to get the `Forbidden Zone` page shown

    6.4 Turn on the toggle for `[RN] Enable Dev`.

    6.5 Tap the `[RN] Dev Bundle` and enter the details as below:
    
    1) BundleURL: http://YOUR-LAPTOP-IP:8081/index.bundle?platform=ios
    
    2) Module Name: `DEMO_PAGE`
        
    6.6 Tap the `Load Application` button. 

    6.6 Go back to `Forbidden Zone` page and tap the `[RN] Show` button and you should be able to view the demo app.

7. [`Android`] To view the RN app from your mobile app `SeaTalk`,
    
    7.1 Sign in with any SeaTalk account.

    7.2 Make sure your mobile phone and your metro server are under the same network.
    
    7.3 Overturn your phone or use command+M shortcut (for emulator) to launch the `Debug View` page
    
    7.4 Tap the `[DEV] React Native` entry
    
    7.5 In `[DEV] React Native` page, turn on the switch `Enable Dev Mode` to allow RN load bundles from metro server
    
    7.6 Enter `DEMO_PAGE` in `Entry Module` entry
    
    7.7 Tap `Start RN Activity` button to launch the RN page
    
    7.8 In the RN page, shake your phone or use command+M shortcut (for emulator) to invoke the RN debug menu
    
    7.9 In `Change Bundle Location`, enter the URL where the bundle is served. E.g. if your bundle is served from `YOUR-LAPTOP-IP:8081/index.bundle`, just key in `YOUR-LAPTOP-IP:8081`
    
    1) We currently only support `index` as the bundle name
        
    2) You might need to execute `adb reverse tcp:8081 tcp:8081` if the phone is connected via USB and the bundle is served from `localhost`
        
    7.10 If you are loading a different bundle, you might need to tap `Reload RN` in the `[DEV] React Native` page, and `Reload` in the RN debug menu


## SeaTalk RN Team Contact

Should you have any questiosn relating to the RN SDK, you may contact any of the personale below via SeaTalk.

Andrew Eng (enga@seagroup.com)

Yang Bo (yangbo@seagroup.com)

Wang Kunzhen (wangkz@seagroup.com)
